Bug 66543 - FILESAVE: DOCX exporting line numbers changes the values
Summary: FILESAVE: DOCX exporting line numbers changes the values
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: BSA target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-03 07:48 UTC by Adam CloudOn
Modified: 2013-11-24 09:04 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
DOCX containing line numbers (15.82 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-07-03 07:48 UTC, Adam CloudOn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam CloudOn 2013-07-03 07:48:48 UTC
Created attachment 81942 [details]
DOCX containing line numbers

Problem description: 
When loading a DOCX with 'line numbers' and saving back to a NEW.DOCX - after loading in Word the 'start value' of the line numbering changes, and line numbering looks different.

Steps to reproduce:
1. Load the attached DOCX in LO
2. Save as NEW.DOCX
3. Load the NEW.DOCX in Word
4. The line numbering has changed (specifically the 'start value' setting)

Current behavior:
LO changes the line numbering information that is being exported.

Expected behavior:
LO should export the line numbering information correctly back to DOCX.
              
Operating System: All
Version: 4.2.0.0.alpha0+ Master
Comment 1 Commit Notification 2013-07-04 08:19:56 UTC
Adam Co committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7baf286555396416ac30a473dd1e50a878cef011

fdo#66543: fixed line number attribute START VALUE wasnt imported and exported



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Jorendc 2013-11-20 07:09:15 UTC
@Adam: this bug is fixed :)?
Comment 3 Adam CloudOn 2013-11-20 07:15:15 UTC
(In reply to comment #2)
> @Adam: this bug is fixed :)?

Should be. I can't remember if it was totally fixed, or partially fixed.. would be great if you could check it out. :)
Comment 4 Jorendc 2013-11-20 15:19:45 UTC
Well, I actually don't know it's fixed or not. As already mentioned in another bug with the same test document: opening the original document in Word (for Mac 2011) result in a number 3 on the second line ("this is the second line."). Rountrip it in LibreOffice and open it on Word result in same behavior (number 3 on the second line). So, is it fixed or not :)? /me don't know.

Kind regards,
Joren
Comment 5 Adam CloudOn 2013-11-24 09:04:21 UTC
(In reply to comment #4)
> So, is it fixed or not :)? /me don't know.

Just checked - fixed! :-)